Summary:	Utility to optimize jpeg files
Name:		jpegoptim
Version:	1.3.1
Release:	1
License:	GPL
Group:		Applications/Multimedia
Source0:	http://www.cc.jyu.fi/~tjko/src/%{name}-%{version}.tar.gz
Source1:	http://www.cc.jyu.fi/~tjko/src/%{name}-%{version}.tar.gz.sig
Patch0:		%{name}-%{version}-aix.patch
URL:		http://www.iki.fi/tjko/projects.html
BuildRequires:	libjpeg-devel >= 6b-7, coreutils
Requires:	libjpeg >= 6b-7
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Jpegoptim ss a utility to optimize jpeg files. It provides lossless
optimization (based on optimizing the Huffman tables) and "lossy" optimization
based on setting maximum quality factor.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} INSTALL=/opt/freeware/bin/install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README
%{_bindir}/*
%{_mandir}/man?/*
/usr/bin/*


%changelog
* Tue Apr 22 2014 Michael Perzl <michael@perzl.org> - 1.3.1-1
- updated to version 1.3.1

* Thu Mar 21 2013 Michael Perzl <michael@perzl.org> - 1.3.0-1
- updated to version 1.3.0

* Thu Mar 14 2013 Michael Perzl <michael@perzl.org> - 1.2.5-1
- updated to version 1.2.5

* Mon Apr 11 2011 Michael Perzl <michael@perzl.org> - 1.2.4-1
- first version for AIX V5.1 and higher
